#
# spec file for package MultiplicationStation
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           MultiplicationStation
Version:        0.6.5
Release:        24.3
License:        GPL-2.0+
Summary:        Add, subtract and multiply
Url:            http://www.asymptopia.org/index.php?topic=MultiplicationStatio
Group:          Amusements/Teaching/Mathematics
Source0:        multiplicationstation-%{version}.tar.bz2
Source1:        MultiplicationStation.desktop
Source2:        MultiplicationStation.png
Source3:        MultiplicationStation-rpmlintrc
Source4:        mstation
## BuildArch:      noarch
BuildRequires:  python
Requires:       python-pygame
Requires:       python-wxGTK
Vendor:         openSUSE-Education
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
%if 0%{?suse_version} > 1020
BuildRequires:  fdupes
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define         mp_group  games
%define         mp_user   games
%{py_requires}

%description
Multiplication Station will teach your child to add, subtract and multiply...
Guaranteed!

The new administrator GUI simplifies configuration of number ranges and
operators. The built-in data recorder functionality allows teachers (or
parents) to track student progress and perform quantitative performance
assessment. The built-in countdown timer discourages laziness. The
high-score display encourages friendly competition among students.

Author:
-------
	Charles B. Cosse

%prep
%setup -q -n multiplicationstation
find -type d -name .svn -print0 | xargs -0 rm -rf {} \;

%build

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{py_sitedir}
mkdir -p %{buildroot}%{_localstatedir}/games/MultiplicationStation

# config
cp -r Font %{buildroot}%{_localstatedir}/games/MultiplicationStation/
install -m755 %{SOURCE4}  %{buildroot}%{_bindir}/mstation
install -m755 mstation.py %{buildroot}%{_bindir}/MultiplicationStation
cp -r MultiplicationStation %{buildroot}%py_sitedir/
install -m644 .mstation_config_master %{buildroot}%{_localstatedir}/games/MultiplicationStation/.mstation_config_master
for file in $(grep -l /usr/bin/python %{buildroot}%py_sitedir/MultiplicationStation/*.py); do
    chmod +x $file
done

# below is the desktop file and icon stuff.
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/applications/
install -m 644 %SOURCE2 %{buildroot}%{_datadir}/pixmaps/
%suse_update_desktop_file -n %{name} Education Math

# save discspace: symlink duplicates
%if 0%{?suse_version} > 1020
%fdupes -s %{buildroot}
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc README* VERSION CHANGES LICENSE
%{_bindir}/mstation
%attr(755,%mp_user,%mp_group) %{_bindir}/%{name}*
%py_sitedir/MultiplicationStation
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%config(missingok,noreplace)
%defattr (664,%mp_user,%mp_group,775)
%{_localstatedir}/games/MultiplicationStation

%changelog
* Sun Aug 17 2014 lars@linux-schulserver.de
- fix License to follow SPDX format
* Sat Dec 24 2011 kkirill@opensuse.org
- update mstation wrapper script to enable admin button by default
  and to check existence of the new config before its overwriting
* Fri Dec 16 2011 lars@linux-schulserver.de
- update to 0.6.5:
  + Windows config location fix (temporary)
  + Bugfix when admin writes config
  + os.getenv('HOME') -> os.getenv('USERPROFILE') on Windows
  + All users take copy of master config -> $HOME
- wrote a small wrapper script that copies the former user config
  to the final place where upstream wants the config to be stored
- package the global master config
* Thu Dec 25 2008 lars@linux-schulserver.de
- enhance the patch for os-edu#13 (patch also mstation.py)
* Sun Dec 14 2008 lars@linux-schulserver.de
- update to 0.5.2:
  + Window manager close button can now be used to close
    the application.
- fix os-edu#13 : Unable to save config with user rights
  (added MultiplicationStation-use_local_home.patch)
* Wed Nov  5 2008 lars@linux-schulserver.de
- enable post-build-checks again as suid check is now in rpmlint
* Thu Oct 30 2008 lars@linux-schulserver.de
- disable post-build-checks for now
* Mon Mar 31 2008 lars@linux-schulserver.de
- fix desktop file
* Wed Mar 26 2008 lars@linux-schulserver.de
- update to 0.5.1:
  + This is a long overdue update which brings the code
    into alignment with the latest versions of TuxMathScrabble
    and TuxWordSmith.  Major changes to underlying software
    with some minor changes in appearance.  Simplifications
    to user interface.
  + avoiding any and all path issues
* Sun Dec 16 2007 aochs@gmx.de
- change MultiplicationSation from /usr/share to
  /usr/lib/python2.5/site-packages/
- copy accounts to /usr/games/
- copy MultiplicationSation.py to /usr/lib/python2.5/site-packages/
- symlink MultiplicationSation.py to usr/bin/
* Sat Sep 29 2007 lars@linux-schulserver.de
- initial version 0.4.0
